# CoverageMerger

Saves coverage output of the test to a specified database

author | Michiel Rook mrook@php.net
version | $Id: 18a66018595b27816f2bd0ac5f2d67a42ea16416 $
package | phing.tasks.ext.coverage
since | 2.1.0

### Methods

## _getDatabase

    _getDatabase(\Project $project) : \Properties

static

throws |

### Arguments

#### $project

`\Project`

### Response

`\Properties`

## getWhiteList

    getWhiteList( $project) : array

static

throws |

### Arguments

#### $project

``

### Response

`array`

## merge

    merge( $project,  $codeCoverageInformation)

static

throws |

### Arguments

#### $project

``

#### $codeCoverageInformation

``

## mergeCodeCoverage

    mergeCodeCoverage( $left,  $right) : array

static

### Arguments

#### $left

``

#### $right

``

### Response

`array`